export interface IValidator<TDependencies> {
    /**
     * Return true if the set of values are valid.
     */
    isValid<TValue>(value1: TValue, attrs?: ng.IAttributes): boolean;

    /**
     * Set validator dependencies.
     * @param dependencies The dependencies.
     */
    setDependencies?(dependencies: TDependencies): void;
}
